import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  standalone: false,
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = 'zst-a51-angular-projekt';

  formImie: string = '';
  formNazwisko: string = '';
  formEmail: string = '';
  formModel: string = '';
  formIlosc: string = '';


  selectedProduct: string = '';
  images: { [key: string]: string } = {
    "1": 'img1.jpg',
    "2": 'img2.jpg',
    "3": 'img3.jpg',
  };

  switchTheme() {
    if (document.documentElement.getAttribute('data-bs-theme') == 'dark') {
      document.documentElement.setAttribute('data-bs-theme', 'light');
    } else {
      document.documentElement.setAttribute('data-bs-theme', 'dark');
    }
  }

  submitForm() {
    console.log("Imię: " + this.formImie);
    console.log("Nazwisko: " + this.formNazwisko);
    console.log("Email: " + this.formEmail);
    console.log("Produkt: " + this.selectedProduct);
    console.log("Model: " + this.formModel);
    console.log("Ilość: " + this.formIlosc);
  }

  get imageSrc(): string {
    return this.images[this.selectedProduct];
  }
}
